body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #FFF;
    font-family: roboto;
    font-size: 40px;
    border: 4px solid #5500FF;
    background: #5500FF;
    border-radius: 5px;
    font-weight: 300;
    letter-spacing: 0;
    padding: 30px 80px;
    position: relative;
    /* overflow: hidden; */
    transition: all 0.3s;

}

a .icon {
    position: absolute;
    left: 80%;
    top: 10px;
    width: 80px;
    height: 80px;
    border: 4px solid #5500FF;
    transform: rotate(45deg);
    opacity: 0;
    transition: all 0.3s;
}

a .icon svg {
    padding: 10px;
    width: 60px;
    height: 60px;
    color: #5500FF;
    transform: rotate(-45deg);
}

a:hover {
    background: transparent;
    color: #5500FF;
    padding: 30px 60px;
}

a:hover .icon {
    left: 100%;
    opacity: 1;
}